// Compiled by ClojureScript 1.10.520 {}
goog.provide('weathergen.compression');
goog.require('cljs.core');
weathergen.compression.zlib = require("zlib");
/**
 * Compresses a buffer, returing a new buffer with the compressed
 *   data.
 */
weathergen.compression.compress = (function weathergen$compression$compress(buf){
return weathergen.compression.zlib.gzipSync(buf);
});
/**
 * Decompresses a buffer, returning a new buffer with the expanded
 *   data.
 */
weathergen.compression.decompress = (function weathergen$compression$decompress(buf){
return weathergen.compression.zlib.gunzipSync(buf);
});
